Source: cc65
Section: non-free/devel
Priority: optional
Maintainer: Spiro Trikaliotis <ml-cc65@trikaliotis.net>
Build-Depends: debhelper, linuxdoc-tools, groff, texinfo
Standards-Version: 3.9.3.0

Package: cc65
Architecture: any
Depends: cc65-common (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: cc65-doc (= ${source:Version}), cc65-samples (= ${source:Version})
Description: Crosscompiler/Crossassembler for 6502 systems
 A complete cross development package for 65(C)02 systems, including a powerful
 macro assembler, a C compiler, linker, librarian and several other tools.
 .
 cc65 has C and runtime library support for many of the old 6502 machines,
 including the following Commodore machines: VIC20, C16/C116 and Plus/4, C64,
 C128, CBM 510 (aka P500), the 600/700 family, newer PET machines (not 2001);
 the Apple ][+ and successors; the Atari 8 bit machines; GEOS for the C64, the
 C128 and the Apple IIe; the Nintendo Entertainment System (NES); the
 Supervision console; the Oric Atmos; the Lynx console.
 .
 The libraries are fairly portable, so creating a version for other 6502s
 shouldn't be too much work. 
 
Package: cc65-common
Architecture: all
Depends: cc65 (>= ${source:Version}), ${misc:Depends}
Suggests: cc65-doc (= ${source:Version})
Replaces: cc65 (<< ${source:Version})
Breaks: cc65 (<< ${source:Version})
Description: Platform independant files for the cc65 C compiler
 A complete cross development package for 65(C)02 systems, including a powerful
 macro assembler, a C compiler, linker, librarian and several other tools.
 .
 This package contains the library and include files, which are architecture independant.

Package: cc65-doc
Architecture: all
Depends: ${misc:Depends}
Recommends: cc65 (>= ${source:Version}), info-browser
Description: Documentation for the cc65 C compiler
 A complete cross development package for 65(C)02 systems, including a powerful
 macro assembler, a C compiler, linker, librarian and several other tools.
 .
 This package contains the documentation for the cc65 C compiler, in HTML
 format.

Package: cc65-samples
Architecture: all
Depends: ${misc:Depends}
Recommends: cc65 (>= ${source:Version})
Description: Samples for the cc65 C compiler
 A complete cross development package for 65(C)02 systems, including a powerful
 macro assembler, a C compiler, linker, librarian and several other tools.
 .
 This package contains the samples of the cc65 C compiler.

